MAPITests 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
module_oxcfxics.c File Reference

Bulk Data Transfer Protocol test suite. More...

## Functions
bool | mapitest_oxcfxics_CopyFolder (struct mapitest *mt)
bool | mapitest_oxcfxics_CopyMessages (struct mapitest *mt)
bool | mapitest_oxcfxics_CopyProperties (struct mapitest *mt)
bool | mapitest_oxcfxics_CopyTo (struct mapitest *mt)
bool | mapitest_oxcfxics_DestConfigure (struct mapitest *mt)
bool | mapitest_oxcfxics_GetLocalReplicaIds (struct mapitest *mt)
bool | mapitest_oxcfxics_SetLocalReplicaMidsetDeleted (struct mapitest *mt)
bool | mapitest_oxcfxics_SyncConfigure (struct mapitest *mt)
bool | mapitest_oxcfxics_SyncOpenCollector (struct mapitest *mt)

## Detailed Description

Bulk Data Transfer Protocol test suite.

## Function Documentation

bool mapitest_oxcfxics_CopyFolder | ( | struct mapitest * | mt | ) |

Test the FastTransferCopyFolder (0x4C), FastTransferGetBuffer (0x4E) and TellVersion (0x86) operations

This function:

1. Log on private message store
2. Creates a test folder
3. Setup source
4. Sends the "server version"

References mapitest_common_cleanup(), mapitest_common_setup(), mapitest_print(), mapitest_print_retval_clean(), and mapitest::mem_ctx.

bool mapitest_oxcfxics_CopyMessages | ( | struct mapitest * | mt | ) |

Test the FastTransferCopyMessages (0x4B) and FastTransferGetBuffer (0x4E) operations

This function:

1. Log on private message store
2. Cremapidump_fx_bufferates a test folder
3. Setup source
4. Get data

References mapitest::mapi_ctx, mapitest_common_cleanup(), mapitest_common_setup(), mapitest_print(), mapitest_print_retval_clean(), and mapitest::mem_ctx.

bool mapitest_oxcfxics_CopyProperties | ( | struct mapitest * | mt | ) |

Test the FastTransferCopyProperties (0x69) and FastTransferSourceGetBuffer (0x4e) operations

This function:

1. Log on private message store
2. Creates a test folder
3. Setup source
4. Get data

References mapitest_common_cleanup(), mapitest_common_setup(), mapitest_print(), mapitest_print_retval_clean(), and mapitest::mem_ctx.

bool mapitest_oxcfxics_CopyTo | ( | struct mapitest * | mt | ) |

Test the FastTransferCopyTo (0x4D) and FastTransferGetBuffer (0x4E) operations

This function:

1. Log on private message store
2. Creates a test folder
3. Setup source
4. Get data

References mapitest::mapi_ctx, mapitest_common_cleanup(), mapitest_common_setup(), mapitest_print(), mapitest_print_retval_clean(), and mapitest::mem_ctx.

bool mapitest_oxcfxics_DestConfigure | ( | struct mapitest * | mt | ) |

Test the FastTransferDestinationConfigure (0x53), TellVersion (0x86) and FastTransferDestinationPutBuffer (0x54) operations

This function:

1. Log on private message store
2. Creates a test folder
3. Setup destination
4. Sends the "server version"

References mapitest_common_cleanup(), mapitest_common_setup(), mapitest_print(), and mapitest_print_retval_clean().

bool mapitest_oxcfxics_GetLocalReplicaIds | ( | struct mapitest * | mt | ) |

Test the GetLocalReplicaIds (0x7f) operation

This function:

1. Log on private message store
2. Reserve a range of Ids

References mapitest_print(), mapitest_print_retval(), and mapitest::mem_ctx.

bool mapitest_oxcfxics_SetLocalReplicaMidsetDeleted | ( | struct mapitest * | mt | ) |

Test the GetLocalReplicaId (0x7f) and SetLocalReplicaMidsetDeleted (0x93) operations

This function:

1. Log on private message store
2. Creates a test folder
3. Gets a local replica ID range
4. Sets the local replica ID range as deleted (on the test folder)
5. cleans up

References mapitest_common_cleanup(), mapitest_common_setup(), mapitest_print(), mapitest_print_retval_clean(), and mapitest::mem_ctx.

bool mapitest_oxcfxics_SyncConfigure | ( | struct mapitest * | mt | ) |

Test the RopSynchronizationConfigure (0x70), RopSynchronizationUploadStateStreamBegin (0x75), RopSynchronizationUploadStateStreamContinue (0x76), RopSynchronizationUploadStateStreamEnd (0x77) and RopSynchronizationGetTransferState (0x82) operations

This function:

1. Log on private message store
2. Creates a test folder
3. Sets up sync configure context
4. Uploads an empty ICS state
5. cleans up.

References mapitest_common_cleanup(), mapitest_common_setup(), mapitest_print_retval_clean(), and mapitest::mem_ctx.

bool mapitest_oxcfxics_SyncOpenCollector | ( | struct mapitest * | mt | ) |

Test the RopSynchronizationOpenCollector (0x7e), operation.

This function:

1. Log on private message store
2. Creates a test folder
3. Opens a sync collector context for content
4. Opens a sync collector context for hierachy
5. cleans up.

References mapitest_common_cleanup(), mapitest_common_setup(), and mapitest_print_retval_clean().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/